# Project: Kamiloxnumetal's MHPB PKR3 Editor
# Compiler: Default VC2005 compiler
# Compiler Type: MingW 3
# Makefile created by wxDev-C++ 7.3 on 08/07/11 07:45

WXLIBNAME = wxmsw28
CPP       = g++.exe
CC        = gcc.exe
WINDRES   = "windres.exe"
OBJ       = Objects/Kamiloxnumetal's\ MHPB\ PKR3\ EditorApp.o Objects/Kamiloxnumetal's\ MHPB\ PKR3\ EditorFrm.o Objects/Kamiloxnumetal's_MHPB_PKR3_Editor_private.res
LINKOBJ   = "Objects/Kamiloxnumetal's MHPB PKR3 EditorApp.o" "Objects/Kamiloxnumetal's MHPB PKR3 EditorFrm.o" Objects/Kamiloxnumetal's_MHPB_PKR3_Editor_private.res
LIBS      = -L"C:/wxDev-Cpp/Lib" -mwindows -l$(WXLIBNAME) -l$(WXLIBNAME)_gl -lwxtiff -lwxjpeg -lwxpng -lwxzlib -lwxregex -lwxexpat -lkernel32 -luser32 -lgdi32 -lcomdlg32 -lwinspool -lwinmm -lshell32 -lcomctl32 -lole32 -loleaut32 -luuid -lrpcrt4 -ladvapi32 -lwsock32 -lodbc32 -lopengl32  -g3 
INCS      = -I"C:/wxDev-Cpp/Include"
CXXINCS   = -I"C:/wxDev-Cpp/lib/gcc/mingw32/3.4.5/include" -I"C:/wxDev-Cpp/include/c++/3.4.5/backward" -I"C:/wxDev-Cpp/include/c++/3.4.5/mingw32" -I"C:/wxDev-Cpp/include/c++/3.4.5" -I"C:/wxDev-Cpp/include" -I"C:/wxDev-Cpp/" -I"C:/wxDev-Cpp/include/common/wx/msw" -I"C:/wxDev-Cpp/include/common/wx/generic" -I"C:/wxDev-Cpp/include/common/wx/html" -I"C:/wxDev-Cpp/include/common/wx/protocol" -I"C:/wxDev-Cpp/include/common/wx/xml" -I"C:/wxDev-Cpp/include/common/wx/xrc" -I"C:/wxDev-Cpp/include/common/wx" -I"C:/wxDev-Cpp/include/common"
RCINCS    = --include-dir "C:/WXDEV-~1/include/common"
BIN       = Exe/PKR3Editor.exe
DEFINES   = -D__WXMSW__ -D__GNUWIN32__ -D__WIN95__
CXXFLAGS  = $(CXXINCS) $(DEFINES) -fno-exceptions -fno-pcc-struct-return -fstrict-aliasing -Wall -D__WXMSW__ -D__GNUWIN32__ -D__WIN95__   -fexpensive-optimizations -O3 -g3
CFLAGS    = $(INCS) $(DEFINES) -fno-exceptions -fno-pcc-struct-return -fstrict-aliasing -Wall -D__WXMSW__ -D__GNUWIN32__ -D__WIN95__   -fexpensive-optimizations -O3 -g3
GPROF     = gprof.exe
RM        = rm -f
LINK      = g++.exe

.PHONY: all all-before all-after clean clean-custom
all: all-before $(BIN) all-after

clean: clean-custom
	$(RM) $(LINKOBJ) "$(BIN)"

$(BIN): $(OBJ)
	$(LINK) $(LINKOBJ) -o "$(BIN)" $(LIBS) 

Objects/Kamiloxnumetal's\ MHPB\ PKR3\ EditorApp.o: $(GLOBALDEPS) Kamiloxnumetal's\ MHPB\ PKR3\ EditorApp.cpp Kamiloxnumetal's\ MHPB\ PKR3\ EditorApp.h Kamiloxnumetal's\ MHPB\ PKR3\ EditorFrm.h
	$(CPP) -c "Kamiloxnumetal's MHPB PKR3 EditorApp.cpp" -o "Objects/Kamiloxnumetal's MHPB PKR3 EditorApp.o" $(CXXFLAGS)

Objects/Kamiloxnumetal's\ MHPB\ PKR3\ EditorFrm.o: $(GLOBALDEPS) Kamiloxnumetal's\ MHPB\ PKR3\ EditorFrm.cpp Kamiloxnumetal's\ MHPB\ PKR3\ EditorFrm.h Images/Self_Kamiloxnumetal_s_MHPB_PKR3_EditorFrm_XPM.xpm
	$(CPP) -c "Kamiloxnumetal's MHPB PKR3 EditorFrm.cpp" -o "Objects/Kamiloxnumetal's MHPB PKR3 EditorFrm.o" $(CXXFLAGS)

Objects/Kamiloxnumetal's_MHPB_PKR3_Editor_private.res: Objects/Kamiloxnumetal's_MHPB_PKR3_Editor_private.rc Kamiloxnumetal's\ MHPB\ PKR3\ EditorApp.rc 
	$(WINDRES) --input-format=rc -o Objects/Kamiloxnumetal's_MHPB_PKR3_Editor_private.res $(RCINCS) Objects/KAMILO~1.RC -O coff
